
package de.ivu.elect.presentation.gebietsbaum.form;

import java.util.List;

import de.ivu.elect.business.gebietsbaum.entity.Gebietsart;
import de.ivu.elect.business.gebietsbaum.entity.GebietsartConstants;
import de.ivu.elect.presentation.AbstractEntitySelectOneMenuProperty;

public abstract class AbstractGebietsartSelectOneMenuProperty extends AbstractEntitySelectOneMenuProperty<Gebietsart> {

  public AbstractGebietsartSelectOneMenuProperty(List<Gebietsart> values) {
    super(values, true);
  }

  @Override
  protected String getMessageKeyEntityEinzahl() {
    return GebietsartConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public String getItemLabel(Gebietsart gebietsart) {
    return gebietsart.getTitelWennLeerName();
  }
}
